std::length_error(3)

NAME
std::length_error

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
length_error (const char *) _GLIBCXX_TXN_SAFE
length_error (const length_error &)=default
length_error (const string &__arg) _GLIBCXX_TXN_SAFE
length_error (length_error &&)=default
length_error & operator= (const length_error &)=default
length_error & operator= (length_error &&)=default
virtual const char * what () const noexcept

Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 184 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.